OpenNMS API 1.2.9

## org.opennms.netmgt.mock
Class MockDatabaseTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.opennms.netmgt.mock.MockDatabaseTest

All Implemented Interfaces:
  junit.framework.Test

public class MockDatabaseTest
extends junit.framework.TestCase

Author:
  brozow

Field Summary
`private MockDatabase` `m_db`
`private MockNetwork` `m_network`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`MockDatabaseTest()`

Method Summary
`protected void` `setUp()`
`protected void` `tearDown()`
`void` `testCascade()`
`void` `testIFQuery()`
`void` `testNodeQuery()`
`void` `testOutage()`
`void` `testServiceQuery()`
`void` `testSetServiceStatus()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_network

    private MockNetwork m_network

### m_db

    private MockDatabase m_db

Constructor Detail

### MockDatabaseTest

    public MockDatabaseTest()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testNodeQuery

    public void testNodeQuery()

### testIFQuery

    public void testIFQuery()

### testServiceQuery

    public void testServiceQuery()

### testCascade

    public void testCascade()

### testOutage

    public void testOutage()

### testSetServiceStatus

    public void testSetServiceStatus()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.